gnutls_alpn_set_protocols(3)

NAME
gnutls_alpn_set_protocols - API function

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_alpn_set_protocols(gnutls_session_t session, const gnutls_datum_t * protocols, unsigned protocols_size, unsigned int flags);

ARGUMENTS

gnutls_session_t session
    is a gnutls_session_t structure.

const gnutls_datum_t * protocols
    is the protocol names to add.

unsigned protocols_size
    the number of protocols to add.

unsigned int flags
    zero or GNUTLS_ALPN_*

DESCRIPTION
This function is to be used by both clients and servers, to declare the supported ALPN protocols, which are used during peer negotiation. If GNUTLS_ALPN_MAND is specified the connection will be aborted if no matching ALPN protocol is found.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error code is returned. Since 3.1.11

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.
General guidelines for reporting bugs: http://www.gnu.org/gethelp/
GnuTLS home page: http://www.gnu.org/software/gnutls/

COPYRIGHT
Copyright © 2001-2013 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual. As an alternative you may obtain the manual from:

    http://www.gnu.org/software/gnutls/manual/